--- src/CMakeLists.txt
+++ src/CMakeLists.txt
@@ -106,7 +106,16 @@ if (WIN32)
 endif ()
 
 if (APPLE)
-  set_target_properties ( qsynth PROPERTIES MACOSX_BUNDLE true )
+  set_target_properties ( qsynth PROPERTIES
+    MACOSX_BUNDLE true
+    MACOSX_BUNDLE_GUI_IDENTIFIER "org.rncbc.qsynth"
+    MACOSX_BUNDLE_BUNDLE_NAME "Qsynth"
+    MACOSX_BUNDLE_DISPLAY_NAME "Qsynth"
+    MACOSX_BUNDLE_INFO_STRING "Qsynth, a FluidSynth Qt GUI Interface"
+    MACOSX_BUNDLE_LONG_VERSION_STRING "Qsynth ${VERSION}"
+    MACOSX_BUNDLE_SHORT_VERSION_STRING "${VERSION}"
+    MACOSX_BUNDLE_BUNDLE_VERSION "${VERSION}"
+    MACOSX_BUNDLE_COPYRIGHT "Copyright (C) 2003-2016, rncbc aka Rui Nuno Capela. All rights reserved.")
 endif ()
 
 target_link_libraries ( qsynth
@@ -129,12 +138,13 @@ set ( TRANSLATIONS
 qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
 add_custom_target( translations ALL DEPENDS ${QM_FILES} )
 
-if (UNIX AND NOT APPLE)
+if (UNIX)
   install ( TARGETS qsynth
-     RUNTIME DESTINATION bin )
+     RUNTIME DESTINATION bin
+     BUNDLE DESTINATION ${BUNDLE_INSTALL_DIR} )
   install ( FILES ${QM_FILES}
      DESTINATION share/qsynth/translations )
-  install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/qsynth.desktop
+  install ( FILES ${CMAKE_CURRENT_SOURCE_DIR}/qsynth.desktop
      DESTINATION share/applications )
   install ( FILES images/qsynth.png
      DESTINATION share/pixmaps )
